## veristat 0.3.2

=== src/Makefile ===
# SPDX-License-Identifier: BSD-2-Clause
VERISTAT_VERSION ?= 0.3.2
DEBUG ?=

OUTPUT := .output
LIBBPF_SRC := $(abspath ../libbpf/src)
LIBBPF_OBJ := $(abspath $(OUTPUT)/libbpf.a)
# Use our own libbpf API headers and Linux UAPI headers distributed with
# libbpf to avoid dependency on system-wide headers, which could be missing or
# outdated
INCLUDES := -I$(OUTPUT) -I../libbpf/include/uapi
CFLAGS := -g -Wall -DVERISTAT_VERSION=\"$(VERISTAT_VERSION)\" -O$(if $(DEBUG),0,2)
ALL_CFLAGS := $(CFLAGS) $(EXTRA_CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(EXTRA_LDFLAGS)

export VERISTAT_VERSION

ifeq ($(V),1)
	Q =
	msg =
else
	Q = @
	msg = @printf '  %-8s %s%s\n'					\
		      "$(1)"						\
		      "$(patsubst $(abspath $(OUTPUT))/%,%,$(2))"	\
		      "$(if $(3), $(3))";
	MAKEFLAGS += --no-print-directory
endif

define allow-override
  $(if $(or $(findstring environment,$(origin $(1))),\
            $(findstring command line,$(origin $(1)))),,\
    $(eval $(1) = $(2)))
endef

$(call allow-override,CC,$(CROSS_COMPILE)cc)
$(call allow-override,LD,$(CROSS_COMPILE)ld)

# for installation
INSTALL := install
prefix := /usr/local
bindir := $(prefix)/bin

.PHONY: all
all: veristat

.PHONY: clean
clean:
	$(call msg,CLEAN)
	$(Q)rm -rf $(OUTPUT) veristat

.PHONY: install
install: all
	mkdir -p $(DESTDIR)$(bindir)/
	$(INSTALL) -pt $(DESTDIR)$(bindir)/ veristat

$(OUTPUT) $(OUTPUT)/libbpf:
	$(call msg,MKDIR,$@)
	$(Q)mkdir -p $@

# Build libbpf
$(LIBBPF_OBJ): $(wildcard $(LIBBPF_SRC)/*.[ch] $(LIBBPF_SRC)/Makefile) | $(OUTPUT)/libbpf
	$(call msg,LIB,$@)
	$(Q)$(MAKE) -C $(LIBBPF_SRC) BUILD_STATIC_ONLY=1		      \
		    OBJDIR=$(dir $@)/libbpf DESTDIR=$(dir $@)		      \
		    INCLUDEDIR= LIBDIR= UAPIDIR=			      \
		    EXTRA_CFLAGS="-g -O$(if $(DEBUG),0,2) $(EXTRA_CFLAGS)"    \
		    install

# Build .c files
$(OUTPUT)/%.o: %.c $(wildcard %.h) $(LIBBPF_OBJ) | $(OUTPUT)
	$(call msg,CC,$@)
	$(Q)$(CC) $(ALL_CFLAGS) $(INCLUDES) -c $(filter %.c,$^) -o $@

# Build application binary
veristat: $(OUTPUT)/veristat.o $(LIBBPF_OBJ) | $(OUTPUT)
	$(call msg,BINARY,$@)
	$(Q)$(CC) $(ALL_CFLAGS) $^ $(ALL_LDFLAGS) -lelf -lz -o $@

# delete failed targets
.DELETE_ON_ERROR:

# keep intermediate (.skel.h, .bpf.o, etc) targets
.SECONDARY:

=== debian/changelog ===
veristat (0.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1072186)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 14 Jun 2024 22:57:04 +0100

=== debian/control ===
Source: veristat
Section: utils
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libbpf-dev
Standards-Version: 4.6.2
Homepage: https://github.com/libbpf/veristat
Vcs-Browser: https://salsa.debian.org/sudip/veristat
Vcs-Git: https://salsa.debian.org/sudip/veristat.git

Package: veristat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Tool to load, verify and debug BPF object files
 veristat is the tool for loading, verifying, and debugging BPF object files.
 It allows to work with BPF object files convenient and quickly, without having
 to use or modify corresponding user-space parts of an application.

## veristat 0.4

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: BSD-2-Clause
-VERISTAT_VERSION ?= 0.3.2
+VERISTAT_VERSION ?= 0.4
 DEBUG ?=
 
 OUTPUT := .output

=== debian/changelog ===
veristat (0.4-1) unstable; urgency=medium

  * New upstream version 0.4
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 24 Dec 2024 12:50:01 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), libbpf-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/libbpf/veristat
 Vcs-Browser: https://salsa.debian.org/sudip/veristat
 Vcs-Git: https://salsa.debian.org/sudip/veristat.git

=== debian/rules ===
#!/usr/bin/make -f

OPTS=prefix=/usr

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install -- $(OPTS)

## veristat 0.5.1

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: BSD-2-Clause
-VERISTAT_VERSION ?= 0.4
+VERISTAT_VERSION ?= 0.5.1
 DEBUG ?=
 
 OUTPUT := .output
@@ -9,7 +9,7 @@
 # libbpf to avoid dependency on system-wide headers, which could be missing or
 # outdated
 INCLUDES := -I$(OUTPUT) -I../libbpf/include/uapi
-CFLAGS := -g -Wall -DVERISTAT_VERSION=\"$(VERISTAT_VERSION)\" -O$(if $(DEBUG),0,2)
+CFLAGS := -g -Wall -Wno-format-truncation -DVERISTAT_VERSION=\"$(VERISTAT_VERSION)\" -O$(if $(DEBUG),0,2)
 ALL_CFLAGS := $(CFLAGS) $(EXTRA_CFLAGS)
 ALL_LDFLAGS := $(LDFLAGS) $(EXTRA_LDFLAGS)

=== debian/changelog ===
veristat (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Update Standards-Version to 4.7.2
  * remove old fsf postal address.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 23 Aug 2025 22:30:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), libbpf-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/libbpf/veristat
 Vcs-Browser: https://salsa.debian.org/sudip/veristat
 Vcs-Git: https://salsa.debian.org/sudip/veristat.git

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/libbpf/veristat/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
